﻿using System;
using System.Collections.Generic;
using System.Text;

using VistaDB;
using VistaDB.DDA;

namespace CodePlex.VistaDB {
    public partial class Library {
        public struct sVDatabaseSchema {
            public string Filename;
            public string Description;
            public int PageSize;
            public string Culture;
            public bool CaseSensitive;
            public List<sVTableSchema> TableSchemas;
            public IVistaDBAssemblies Assemblies;
            public IVistaDBCLRProcList CLRProcs;
            public IVistaDBCLRTriggerList CLRTriggers;
            // public IVistaDBConstraintList Constraints;
            // public IVistaDBDefaultList Defaults;
        }
    }
}